

<?php

// DB connection
require('settings.php');

// removeurl function
// created by Ferdian
// updated 2017-01-13
function removeUrl($url,$newparam){

	$output = $url;
	$filename = '';

	// generate array based on url
	$url_arr = parse_url($url);
	
	if (!empty($url_arr['query'])){
		parse_str($url_arr['query'],$url_param);

		unset($url_param['l']);

		if(strpos($url_arr['path'], '.php') == false){
			$output = 'index.php?'. http_build_query($url_param) .'&'. $newparam;
		} else {
			$output = $url_arr['path'] .'?'. http_build_query($url_param) .'&'. $newparam;
		}

	} else {

		if(strpos($url_arr['path'], '.php') == false){
			$output = 'index.php?'. $newparam;
		} else {
			$output .= '?'. $newparam;
		}
	}

	return $output;
}

// language switcher 
function langSwitcher($url,$lang='ind'){

	$output = '';

	// exceptions - usually for blogs
	// go up to object index page if language is switched
	if(strpos($url['basename'], 'product-view') !== false){
		$url['basename'] = 'products.php';
	}
	if(strpos($url['basename'], 'news-view') !== false){
		$url['basename'] = 'news.php';
	}
	if(strpos($url['basename'], 'recipe-view') !== false){
		$url['basename'] = 'recipes.php';
	}

	$output = removeUrl($url['basename'],'l='.$lang);

	return $output;
}

function getRow($table,$id,$column='id'){

	global $link;

	$query = "
		SELECT * 
		FROM {$table}
		WHERE 1
			AND ({$column} = '{$id}')
	";

	$output = mysqli_fetch_array(mysqli_query($link,$query));

	return $output;
}

function getProducts($cat,$limit='',$lang='ind'){

	global $link;

	$output = '';

	// filters
	if (empty($cat)) {
		$cat_filter = '';
	} else {
		$cat_filter = "AND (a.category = {$cat})";
	}

	// filters
	if (empty($limit)) {
		$limit_filter = '';
	} else {
		$limit_filter = "LIMIT {$limit}";
	}

	$query = "
		SELECT
			*
		FROM products a
		WHERE 1 
			AND (a.trash = 0)
			AND (a.lang = '{$lang}')
			{$cat_filter}
		ORDER BY a.appear_order ASC
		{$limit_filter}
	";
	$output = mysqli_query($link,$query);

	return $output;
}

function getClaims($model){

	global $link;

	$output = '';

	$claims_string = $model['claim_ids'];
	// $claims_arr = explode(',', $claims_string);

	$query = "
		SELECT
			*
		FROM claims a
		WHERE 1
			AND (a.id IN({$claims_string}) )
	";
	$output = mysqli_query($link,$query);

	return $output;
}

function getHomeProducts($lang='ind'){

	global $link;

	$output = '';

	$query = "
		SELECT
			*
		FROM products a
		WHERE 1 
			AND (a.trash = 0)
			AND (a.lang = '{$lang}')
		ORDER BY RAND() ASC
		LIMIT 8
	";
	$output = mysqli_query($link,$query);

	return $output;
}

function getOtherProducts($lang='ind'){

	global $link;

	$output = '';

	$query = "
		SELECT
			*
		FROM products a
		WHERE 1 
			AND (a.trash = 0)
			AND (a.lang = '{$lang}')
		ORDER BY RAND() ASC
		LIMIT 8
	";
	$output = mysqli_query($link,$query);

	return $output;
}

function getKaraislandProducts($lang='ind'){

	global $link;

	$output = '';

	$query = "
		SELECT
			*
		FROM products a
		WHERE 1 
			AND (a.trash = 0)
			AND (a.category = 4)
			AND (a.lang = '{$lang}')
		ORDER BY RAND() ASC
		LIMIT 3
	";
	$output = mysqli_query($link,$query);

	return $output;
}

function getKaraislandMobileProducts($lang='ind'){

	global $link;

	$output = '';

	$query = "
		SELECT
			*
		FROM products a
		WHERE 1 
			AND (a.trash = 0)
			AND (a.category = 4)
			AND (a.lang = '{$lang}')
		ORDER BY RAND() ASC
	";
	$output = mysqli_query($link,$query);

	return $output;
}

function getRecipes($lang='ind'){

	global $link;

	$output = '';

	$query = "
		SELECT
			*
		FROM recipes a
		WHERE 1 
			AND (a.trash = 0)
			AND (a.lang = '{$lang}')
		ORDER BY RAND() ASC
	";
	$output = mysqli_query($link,$query);

	return $output;
}

function getRecipesHome($lang='ind'){

	global $link;

	$output = '';

	$query = "
		SELECT
			*
		FROM recipes a
		WHERE 1 
			AND (a.trash = 0)
			AND (a.lang = '{$lang}')
		ORDER BY RAND() ASC
		LIMIT 6
	";
	$output = mysqli_query($link,$query);

	return $output;
}

function getNews($lang='ind'){

	global $link;

	$output = '';

	$query = "
		SELECT
			*
		FROM news a
		WHERE 1 
			AND (a.trash = 0)
			AND (a.lang = '{$lang}')
		ORDER BY a.published DESC
	";
	$output = mysqli_query($link,$query);

	return $output;
}

function getNewsHome($lang='ind'){

	global $link;

	$output = '';

	$query = "
		SELECT
			*
		FROM news a
		WHERE 1 
			AND (a.trash = 0)
			AND (a.lang = '{$lang}')
		ORDER BY a.published DESC
		LIMIT 6
	";
	$output = mysqli_query($link,$query);

	return $output;
}

function getOtherNews($lang='ind'){

	global $link;

	$output = '';

	$query = "
		SELECT
			*
		FROM news a
		WHERE 1 
			AND (a.trash = 0)
			AND (a.lang = '{$lang}')
		ORDER BY a.published DESC
		LIMIT 3
	";
	$output = mysqli_query($link,$query);

	return $output;
}

function getSidebarNews($lang='ind'){

	global $link;

	$output = '';

	$query = "
		SELECT
			*
		FROM news a
		WHERE 1 
			AND (a.trash = 0)
			AND (a.lang = '{$lang}')
		ORDER BY a.published DESC
		LIMIT 3
	";
	$output = mysqli_query($link,$query);

	return $output;
}


function getIngs($table){

	$ings = [];

	// insert each ingredients into array
	while($row = mysqli_fetch_array($table)){
		if($row['ingredients'] != 0){

			$ings[$row['id']] = explode(',', $row['ingredients']);
			foreach ($ings[$row['id']] as $k => $v) {
				$ings[$row['id']][$k] = getRow('products',$v);
			}
		}
	}
	mysqli_data_seek($table, 0);

	return $ings;
}



